<?php

#.begin
#.mod[coms]
class coms_init_sxExe extends xIExecutor {
public function onError($result) {$_ENV->quitCrush();}
public function main() {
global $_SLEX;
#.mod[/coms]

#.mod[filiant]
xGbl::init();
$_ENV->configure('app.i.php', '_APP');
xItemObj::$stru = xStrUtils::getInst();
#.mod[/filiant]

#.mod[ipmgr]
xIPMgr::init();
#.mod[/ipmgr]

#.mod[ui]
xUI::$uiName = UI_DEFAULT;
#.mod[/ui]

#.mod[usermgr]
xUser::init();
#.mod[/usermgr]

#.mod[autosession]
xAutoSession::start();
#.mod[/autosession]

#.mod[lang]
xLang::setLang(LANG_DEFAULT);
#.mod[/lang]

#.mod[coms]
}
}
#.mod[/coms]
#.end